import { CurrencyAmount } from '@sushiswap/sdk';
import { LimitOrder } from "./order";
import { utils, providers } from 'ethers';
export declare class FillLimitOrder {
    readonly order: LimitOrder;
    readonly path: string[];
    readonly minimumAmoutOutExternal: CurrencyAmount;
    readonly amountToFill: CurrencyAmount;
    readonly limitOrderReceiver: string;
    readonly to: string;
    readonly tokenIn: string;
    readonly tokenOut: string;
    readonly limitOrderReceiverData: string;
    constructor(order: LimitOrder, path: string[], minimumAmoutOutExternal: CurrencyAmount, amountToFill: CurrencyAmount, limitOrderReceiver: string, to: string);
    fillOrderOpen(privateKey: utils.SigningKey, provider: providers.Web3Provider): Promise<{
        error: boolean;
        transactionHash: string;
    }>;
}
